# Credits

Credits

 - [GET /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/listcredits.md): This method will scan all credits and and return them to the caller.
 - [POST /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/createcredit.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown.
 - [GET /credits/{tenantId}/activity/{activity_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/listcreditsbyactivityid.md): Returns a list of records with the specified activity_id
 - [POST /credits/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /credits/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/listcreditsbycontactid.md): Returns a list of records with the specified contact_id
 - [GET /credits/{tenantId}/courseRegistration/{course_registration_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/listcreditsbycourseregistrationid.md): Returns a list of records with the specified course_registration_id
 - [GET /credits/{tenantId}/eventRegistration/{event_registration_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/listcreditsbyeventregistrationid.md): Returns a list of records with the specified event_registration_id
 - [POST /credits/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/searchforcredits.md): Searches for credits using predefined parameters
 - [DELETE /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/deletecredit.md): This method will delete a credit with the specified ID.
 - [GET /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/getcredit.md): This method will look up a credit by the specified ID and return it back.
 - [PATCH /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/patchcredit.md): This method will patch an existing credit with the specified ID, using the HTTP PATCH specification.
 - [PUT /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credits/updatecredit.md): This method will update an existing credit with the specified ID.
